.actionBadge {
    cursor: pointer;
}

.page-item.active .page-link {
    color: #fff !important;
}

.btn-primary {
    background-color: #eb6f7c !important;
}

.text-primary {
    color: #d9adad !important;
}

.bg-gradient-primary {
    background: #eb6f7c !important;
}

.bg-shadow-primary {
    box-shadow: 0 0 0 0.2rem rgba(217, 173, 173, 0.25) !important;
}

.bg-primary {
    background: rgb(253,228,228);
    background: -moz-linear-gradient(90deg, rgba(253,228,228,1) 28%, rgba(178,182,191,1) 76%);
    background: -webkit-linear-gradient(90deg, rgba(253,228,228,1) 28%, rgba(178,182,191,1) 76%);
    background: linear-gradient(90deg, rgba(253,228,228,1) 28%, rgba(178,182,191,1) 76%);
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#fde4e4",endColorstr="#b2b6bf",GradientType=1);
    background-color: transparent !important;
    border: none !important;
    color: #1a1717a8 !important;
}

.active > .page-link, .page-link.active {
    background: #eb6f7c !important;
    border-color: #eb6f7c !important;
}

.text-danger {
    color: #e30613 !important;
}

.btn-danger {
    background-color: #e30613 !important;
}

.btn-edit {
    color: #1a1717a8 !important;
    background-color: #fbe4e4 !important;
}


button.html5-qrcode-element, select.html5-qrcode-element, button.scanapp-button {
    appearance: none;
    background-color: #FAFBFC;
    border: 1px solid rgba(27, 31, 35, 0.15);
    border-radius: 6px;
    box-shadow: rgba(27, 31, 35, 0.04) 0 1px 0, rgba(255, 255, 255, 0.25) 0 1px 0 inset;
    box-sizing: border-box;
    color: #24292E;
    cursor: pointer;
    display: inline-block;
    font-family: -apple-system, system-ui, "Segoe UI", Helvetica, Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji";
    font-size: 14px;
    font-weight: 500;
    line-height: 20px;
    list-style: none;
    padding: 6px 16px;
    position: relative;
    transition: background-color 0.2s cubic-bezier(0.3, 0, 0.5, 1);
    user-select: none;
    -webkit-user-select: none;
    touch-action: manipulation;
    vertical-align: middle;
    white-space: nowrap;
    word-wrap: break-word;
    margin-bottom: 5px;
}

#reader {
    border: none !important;
}

/*Styling preloader*/
.preloader {
    position: fixed;
    background-color: #fde4e4;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    z-index: 10000;
}

@keyframes pulse {
    0% {
        transform: scale(1);
    }
    50% {
        transform: scale(1.1);
    }
    100% {
        transform: scale(1);
    }
}

.preloader img {
    animation: pulse 1s linear infinite;
}
